This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265920 - dnf install rpm with incorrect check-sum from local repository
dnf install rpm with incorrect check-sum from local repository
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 03:29 EDT by Jaroslav Mracek
Modified: 2016-07-19 14:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:00:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Mracek 2015-09-24 03:29:05 EDT
Description of problem:
If in repository.repo is set baseurl=file:///repo , it doesn't control check sum of file like of files like for rpm check sum in primary.xml.gz and rpm are not copied to cache (this is probably feature not a bug)

Version-Release number of selected component (if applicable):
dnf-1.1.1-2.fc22.noarch

How reproducible:
Change check sum in primary.xml.gz for rpm (wrong value) and change check sum of primary.xml.gz in repomd.xml (correct value)

Steps to Reproduce:
1.
2.
3.

Actual results:
RPM with incorrect check sum is installed

Expected results:
RPM with incorrect check sum is not installed

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2016-07-08 05:27:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-07-19 14:00:21 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.